@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;
  font-family: "Poppins", sans-serif;
}

:root {
  --bg-color: #1f242d;
  --second-bg-color: #323946;
  --text-color: #fff;
  --main-color: #0ef;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
  overflow-x: hidden;
}

section {
  min-height: 100vh;
  padding: 10rem 9% 2rem;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2rem 9%;
  background: var(--bg-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}

.header.sticky {
  border-bottom: 0.1rem solid rgba(0, 0, 0, 0.2);
}

.logo {
  font-size: 2.5rem;
  color: var(--text-color);
  font-weight: 600;
  cursor: default;
}

.navbar a {
  font-size: 1.7rem;
  color: var(--text-color);
  margin-left: 4rem;
  transition: 0.3s;
}

.navbar a:hover,
.navbar a.active {
  color: var(--main-color);
}

#menu-icons {
  font-size: 3.6rem;
  color: var(--text-color);
  display: none;
}

.home-img img {
  width: 35vw;
  border-radius: 60px;
}

.home {
  display: flex;
  justify-content: center;
  align-items: center;
}

.home-content h3 {
  font-size: 3.2rem;
  font-weight: 700;
}

.home-content h3:nth-of-type(2) {
  margin-bottom: 2rem;
}

span {
  color: var(--main-color);
}

.home-content h1 {
  font-size: 5.3rem;
  font-weight: 700;
  line-height: 1.3;
}

.home-content p {
  font-size: 1.6rem;
}

.social-media a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 4rem;
  height: 4rem;
  background: transparent;
  border: 0.2rem solid var(--main-color);
  border-radius: 50%;
  font-size: 2rem;
  color: var(--main-color);
  margin: 3rem 1.5rem 3rem 0;
  transition: 0.5s ease;
}

.social-media a:hover {
  background: var(--main-color);
  color: var(--second-bg-color);
  box-shadow: 0 0 1rem var(--main-color);
}

.btn {
  display: inline-block;
  padding: 1rem 2.8rem;
  background: var(--main-color);
  border-radius: 4rem;
  transition: 0.5s ease;
  box-shadow: 0 0 1rem var(--main-color);
  font-size: 1.6em;
  color: var(--second-bg-color);
  font-weight: 600;
}

.btn:hover {
  box-shadow: none;
}

.about {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  background: var(--second-bg-color);
}

.about-img img {
  width: 35vw;
  border-radius: 60px;
}

.heading {
  text-align: center;
  font-size: 4.5rem;
}

.about-content h2 {
  text-align: left;
  line-height: 1.2;
}

.about-content h3 {
  font-size: 1.9rem;
}

.about-content p {
  font-size: 1.6rem;
  margin: 2rem 0 3rem;
}

.services h2 {
  margin-bottom: 5rem;
}

.services-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 2rem;
}

.services-container .services-box {
  flex: 1 1 30rem;
  background: var(--second-bg-color);
  padding: 3rem 2rem 4rem;
  border-radius: 2rem;
  text-align: center;
  border: 0.2rem solid var(--bg-color);
  transition: 0.5s ease;
}

.services-container .services-box:hover {
  border-color: var(--main-color);
  transform: scale(1.02);
}

.services-box i {
  font-size: 7rem;
  color: var(--main-color);
}

.services-box h3 {
  font-size: 2.2rem;
  margin: 10px 0;
}

.services-box .cw-text {
  font-size: 2.2rem;
  margin: 10px 0;
}

.services-box p {
  font-size: 1.6rem;
  margin: 1rem 0.3rem;
}

.portfolio {
  background: var(--second-bg-color);
}

.portfolio h2 {
  margin-bottom: 4rem;
}

.portfolio-container {
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 2.5rem;
  align-items: center;
  justify-content: center;
}

.portfolio-container .portfolio-box {
  position: relative;
  border-radius: 2rem;
  box-shadow: 0 0 1rem var(--bg-color);
  overflow: hidden;
  display: flex;
}

.portfolio-box {
  width: 400px;
}

.portfolio-box img {
  width: 100%;
}

.portfolio-box:hover img {
  transform: scale(1.1);
  transition: 0.5s ease;
}

.portfolio-box .portfolio-layer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(rgba(0, 0, 0, 0.1), var(--main-color));
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding: 0 4rem;
  transform: translate(100%);
}

.portfolio-box:hover .portfolio-layer {
  transform: translate(0);
  transition: 0.5s ease;
}

.portfolio-layer h4 {
  font-size: 3rem;
}

.portfolio-layer p {
  font-size: 1.6rem;
  margin: 0.3rem 0 1rem;
}

.portfolio-layer a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 5rem;
  height: 5rem;
  background: var(--text-color);
  border-radius: 50%;
}

.portfolio-layer a i {
  font-size: 2rem;
  color: var(--second-bg-color);
}

.contact h2 {
  margin-bottom: 3rem;
}

.contact form {
  max-width: 70rem;
  margin: 1rem auto;
  text-align: center;
  margin-bottom: 3rem;
}

.contact form .input-box {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
  width: 100%;
  padding: 1.5rem;
  font-size: 1.6rem;
  color: var(--text-color);
  background: var(--second-bg-color);
  border-radius: 0.8rem;
  margin: 0.7rem 0;
}

.contact form .input-box input {
  width: 49%;
}

.contact form textarea {
  resize: none;
}

.contact form .btn {
  margin-top: 2rem;
  cursor: pointer;
}

.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  padding: 2rem 9%;
  background: var(--second-bg-color);
}

.footer-text p {
  font-size: 1.6rem;
}

.footer-iconTop a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 0.8rem;
  background: var(--main-color);
  transition: 0.5s ease;
}

.footer-iconTop a:hover {
  box-shadow: 0 0 1rem var(--main-color);
}

.footer-iconTop a i {
  font-size: 2.4rem;
  color: var(--second-bg-color);
}

/* MEDIA QUEERY */
@media (max-width: 1280px) {
  .header {
    padding: 2rem 5rem;
    width: 85%;
  }
  section {
    padding: 2rem 5rem;
    width: 85%;
  }
  .home-content h1 {
    font-size: 3rem;
  }
  #text {
    font-size: 2.9rem;
  }
  .home-content p {
    width: 87%;
  }
  .services-container .services-box {
    padding: 1rem 1rem;
  }
  .cw-text {
    font-size: 3px;
  }
  .services-box .cw-text {
    font-size: 2rem;
    margin: 10px 0;
  }
  .portfolio-box {
    width: 310px;
  }
  .footer {
    padding: 2rem 25rem 2rem 5rem;
    /* width: 80%; */
  }
}

@media (max-width: 1024px) {
  .home-content h3 {
    font-size: 2.2rem;
  }
  #text {
    font-size: 2.2rem;
  }
  .portfolio-container {
    grid-template-columns: auto auto;
  }
  .portfolio-container {
    gap: 1.4rem;
  }
  .portfolio-box {
    width: 380px;
  }
}

@media (max-width: 820px) {
  section {
    min-height: 82vh;
    padding: 1rem 3rem;
  }
  .home {
    padding: 8rem 3rem;
    min-height: 50vh;
    width: 100%;
    margin: 0;
    gap: 10rem;
  }
  .header {
    padding: 1rem 3rem;
    width: 100%;
  }
  .home-content {
    width: 100%;
  }
  .home-content p {
    width: 100%;
  }
  .home-img {
    width: 90%;
  }
  .home-img img {
    width: 100%;
  }
  .about {
    flex-direction: column-reverse;
    width: 100%;
    padding: 0rem 3rem 2rem 3rem;
  }
  .about-content p {
    font-size: 1.9rem;
    width: 100%;
  }
  .about-content h3 {
    font-size: 2.6rem;
    margin: 20px 0;
    line-height: 28px;
  }
  .about-img img {
    width: 70%;
  }
  .about-img {
    margin: 0 0 0 16rem;
  }
  .services {
    width: 100%;
  }
  .services-container .services-box {
    width: 400px;
  }
  .portfolio-container {
    grid-template-columns: auto auto;
  }
  .portfolio {
    width: 100%;
  }
  .portfolio-box {
    width: 370px;
  }
  .contact {
    width: 100%;
    min-height: 50vh;
  }
  .footer {
    padding: 2rem 2rem;
  }
  .services h2 {
    margin: 1rem 0;
  }
}

@media (max-width: 768px) {
  #menu-icons {
    display: block;
  }
  .navbar {
    position: absolute;
    text-align: center;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 1rem 3%;
    background: var(--bg-color);
    border-top: 0.1rem solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
    display: none;
  }
  .navbar.active {
    display: block;
  }
  .navbar a {
    display: block;
    font-size: 2rem;
    margin: 3rem 0;
  }
  .home {
    padding: 12rem 3rem;
  }
  .portfolio-box {
    width: 350px;
  }
  .portfolio h2 {
    margin-bottom: 2rem;
  }
  .portfolio-container {
    margin-bottom: 2rem;
  }
}

@media (max-width: 540px) {
  .home {
    min-height: 80vh;
    padding: 8rem 3rem 3rem 3rem;
    gap: 3rem;
    flex-direction: column;
  }
  .about-content h2 {
    font-size: 3rem;
    margin: 20px 0 0 0;
  }
  .about-content h3 {
    margin: 10px 0 0 0;
  }
  .about-content h3 {
    font-size: 2rem;
  }
  .about-content p {
    margin: 1.5rem 0 3rem 0rem;
  }
  .about-img img {
    width: 80%;
    display: block;
    margin: 0 auto;
  }
  .about-img {
    margin: 0;
  }
  .services-container {
    margin: 2rem 0;
  }
  .portfolio-box {
    width: 230px;
  }
  .about {
    padding: 3rem 3rem;
  }
}

@media (max-width: 414px) {
  .header {
    padding: 1rem 2rem;
  }
  .home {
    padding: 8rem 2rem 3rem 2rem;
  }
  .about {
    padding: 3rem 2rem;
  }
  .about-content p {
    font-size: 1.6rem;
  }
  .portfolio-container {
    grid-template-columns: auto;
  }
  .portfolio-box {
    width: 350px;
  }
  .footer {
    padding: 1rem 2rem;
  }
  .footer-text p {
    font-size: 12px;
  }
  .about-content h2,
  .about-content h3,
  .about-content p {
    text-align: center;
  }
  .btn {
    display: block;
    margin: 1rem auto;
    width: 180px;
    text-align: center;
  }
  .portfolio h2 {
    font-size: 3.5rem;
  }
  .services-box i {
    font-size: 5rem;
  }
  .services-box h3 {
    font-size: 2.4rem;
  }
}

@media (max-width: 390px) {
  .home-content h3 {
    font-size: 2rem;
    margin-bottom: 1rem;
  }
  .home-content h3:nth-of-type(2) {
    margin-bottom: 1rem;
  }
  .about-content p {
    font-size: 1.7rem;
    text-align: left;
  }
  .about-content p {
    margin: 1rem 0 2rem 0rem;
  }
  .footer-text p {
    font-size: 10px;
  }
}

@media (max-width: 280px) {
  .portfolio-layer h4 {
    font-size: 2rem;
  }
  .portfolio-layer a {
    width: 3rem;
    height: 3rem;
  }
  .home-content h1 {
    font-size: 1.8rem;
  }
  .home {
    padding: 7rem 1.7rem 3rem 1.7rem;
  }
  .social-media a {
    margin: 2rem 1rem 12px 0;
  }
  .home-img {
    width: 100%;
  }
  .home-content h1 {
    font-size: 1.6rem;
  }
  .about-content h2 {
    font-size: 2.5rem;
    margin: 10px 0 0 0;
  }
  .about-content h3 {
    font-size: 1.4rem;
    line-height: 21px;
  }
  .services-box h3 {
    margin: 0;
  }
  .portfolio h2,
  .heading {
    font-size: 2.5rem;
  }
  .about-content p {
    font-size: 1.2rem;
  }
  .home-content p {
    font-size: 1.4rem;
  }
  .logo {
    font-size: 1.8rem;
  }
  #menu-icons {
    font-size: 2.8rem;
  }
  .social-media a {
    width: 2.5rem;
    height: 2.5rem;
    font-size: 1.5rem;
  }
  .home-content h1 {
    font-size: 1.7rem;
    margin-bottom: 1px;
  }
  .home-content h3 {
    margin-bottom: 1px;
    font-size: 11px;
  }
  #text {
    font-size: 11px;
  }
  .about-img img {
    width: 100%;
  }
  .services-box i {
    font-size: 3rem;
  }
  .services-box h3,
  .services-box .cw-text {
    font-size: 1.6rem;
  }
  .services-box p {
    font-size: 1rem;
  }
  section {
    padding: 1rem;
  }
  .services-container {
    gap: 1rem;
  }
  .portfolio h2 {
    font-size: 3rem;
  }
  .portfolio-container {
    gap: 1rem;
  }
  .portfolio-box {
    width: 250px;
  }
  .contact form .input-box input {
    width: 100%;
  }
  .contact {
    padding: 1.4rem;
  }
  .heading {
    font-size: 3rem;
  }
  .footer-text p {
    font-size: 8px;
  }
  .footer-iconTop a {
    padding: 0.1rem;
  }
  .footer {
    padding: 1rem;
  }
}
